Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.interfaces
Interface RSAMultiPrimePrivateCrtKey

All Superinterfaces:
  java.security.Key, java.security.PrivateKey, RSAPrivateKey, java.io.Serializable

public interface RSAMultiPrimePrivateCrtKey
extends RSAPrivateKey

The interface to an RSA multi-prime private key, as defined in the PKCS#1 v2.1, using the Chinese Remainder Theorem (CRT) information values.

Since:
  1.4
See Also:

Field Summary

Fields inherited from interface java.security.interfaces.RSAPrivateKey
`serialVersionUID`

Method Summary
`java.math.BigInteger` | `getCrtCoefficient()` Returns the crtCoefficient.
`RSAOtherPrimeInfo[]` | `getOtherPrimeInfo()` Returns the otherPrimeInfo or null if there are only two prime factors (p and q).
`java.math.BigInteger` | `getPrimeExponentP()` Returns the primeExponentP.
`java.math.BigInteger` | `getPrimeExponentQ()` Returns the primeExponentQ.
`java.math.BigInteger` | `getPrimeP()` Returns the primeP.
`java.math.BigInteger` | `getPrimeQ()` Returns the primeQ.
`java.math.BigInteger` | `getPublicExponent()` Returns the public exponent.

Methods inherited from interface java.security.interfaces.RSAPrivateKey
`getModulus, getPrivateExponent`

Methods inherited from interface java.security.Key
`getAlgorithm, getEncoded, getFormat`

Method Detail

### getPublicExponent

    public java.math.BigInteger getPublicExponent()

  Returns the public exponent.

### getPrimeP

    public java.math.BigInteger getPrimeP()

  Returns the primeP.

### getPrimeQ

    public java.math.BigInteger getPrimeQ()

  Returns the primeQ.

### getPrimeExponentP

    public java.math.BigInteger getPrimeExponentP()

  Returns the primeExponentP.

### getPrimeExponentQ

    public java.math.BigInteger getPrimeExponentQ()

  Returns the primeExponentQ.

### getCrtCoefficient

    public java.math.BigInteger getCrtCoefficient()

  Returns the crtCoefficient.

### getOtherPrimeInfo

    public RSAOtherPrimeInfo[] getOtherPrimeInfo()

  Returns the otherPrimeInfo or null if there are only two prime factors (p and q).

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD